#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
#   File: purple-lurch.spec
#   Copyright 🄯 2022, 2023 Van de Bugger.
#   SPDX-License-Identifier: FSFAP
#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

%vdb

%global         nam     lurch
%global         ver     0.7.0
%global         rel     0.vdb.3

%bcond_without tests

Name:             purple-%{nam}
Version:          %{ver}
Release:          %{rel}%{?dist}
Summary:          OMEMO encryption for libpurple

License:          GPL-3.0-only
URL:              https://github.com/gkdr/lurch
Source0:          https://github.com/gkdr/lurch/archive/refs/tags/v%{ver}.tar.gz#/lurch-%{ver}.tar.gz

Patch1:           purple-lurch-0.7.0-makefile.vdb.patch
Patch2:           purple-lurch-0.7.0-missed-func-decl.vdb.patch

BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(libaxc)
BuildRequires:    pkgconfig(libomemo)
BuildRequires:    pkgconfig(libsignal-protocol-c)
BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(purple)
BuildRequires:    pkgconfig(cmocka)
BuildRequires:    vdb-rpm-macros

#global __requires_exclude ^libxmpp\\.so\\(\\)

%description
%{text -- \
    Packager description:

    This package enables OMEMO encryption in libpurple clients, e. g. Pidgin.

    Author description:

    In German, an Axolotl is a type of Lurch, which simply means 'amphibian'. This plugin
    brings Axolotl, by now renamed to double ratchet, to libpurple applications such as Pidgin
    by implementing the XEP-0384: OMEMO Encryption. For a higher-level overview, see the
    official OMEMO homepage.

    (Plus I thought the word sounds funny.)
}

%prep
%autosetup -p1 -n %{nam}-%{ver}

%build
%make_build LJABBER=-l:libjabber.so.0

%install
%make_install

%check
# Some cmocka tests fail when build with -flto=auto option. Let's disable LTO (set by Fedora rpm
# macros) to let tests run.
CFLAGS="$CFLAGS -fno-lto"
%make_build test

%files
%license    LICENSE
            %{_libdir}/purple-2/%{nam}.so

%changelog

* Sun Mar 23 2025 Van de Bugger - 0.7.0-0.vdb.3
- vdb.lua is in dedicated package.

* Wed Mar  5 2025 Van de Bugger - 0.7.0-0.vdb.2
- F41 build.

* Fri Mar 11 2022 Van de Bugger - 0.7.0-0.vdb.1
- Initial package
